## planetblupi 1.12.0-16

=== CMakeLists.txt ===

cmake_minimum_required (VERSION 3.2)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
set (CMAKE_CXX_STANDARD 11)

include (GNUInstallDirs)
include (${CMAKE_ROOT}/Modules/ExternalProject.cmake)

include_directories (${CMAKE_INSTALL_PREFIX}/include)
link_directories (${CMAKE_INSTALL_PREFIX}/lib)

project (planetblupi)
set (PB_VERSION_MAJOR 1)
set (PB_VERSION_MINOR 12)
set (PB_VERSION_PATCH 1)
set (PB_VERSION_EXTRA "")
set (PB_PRODUCT_NAME "Planet Blupi")
set (PB_PACKAGE_NAME "planetblupi")
set (PB_EXEC         "planetblupi")
set (PB_ICON_REF     "blupi")
set (PB_DESCRIPTION "Planet Blupi - A delirious spell-binding game")

option (PB_HTTP_VERSION_CHECK "Run a version check over HTTP (with CURL)" OFF)

configure_file (
  "${PROJECT_SOURCE_DIR}/src/config.h.in"
  "${PROJECT_BINARY_DIR}/include/config.h"
)

include_directories ("${PROJECT_BINARY_DIR}/include")

file (GLOB_RECURSE sources src/*.cxx src/*.h)
file (GLOB_RECURSE po      resources/po/*.po)

if (APPIMAGE_APPRUN_PROGRAM AND APPIMAGE_ASSISTANT_PROGRAM)
  set (USE_APPIMAGE ON)
endif ()

if (NOT USE_APPIMAGE)
  configure_file (
    "${PROJECT_SOURCE_DIR}/resources/linux/application.desktop.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${PB_PACKAGE_NAME}.desktop"
    @ONLY
  )
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++11 -L${CMAKE_INSTALL_PREFIX}/lib")
endif ()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND "${STATIC_BUILD}")
  set (CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++")
endif ()

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g3 -DDEBUG")
endif ()

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Release")
  set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -s")
  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -s")
endif ()

# These copies are necessary with our stuff for AppImage because it's not
# supported by CPack.
if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
  file (COPY resources/data DESTINATION share/planetblupi)
else ()
  file (
    COPY resources/data DESTINATION share/planetblupi
    PATTERN "world2*.blp" EXCLUDE
    PATTERN "world*.dev.blp" EXCLUDE
  )
endif ()
file (COPY resources/image DESTINATION share/planetblupi)
file (COPY resources/movie DESTINATION share/planetblupi)
file (COPY resources/sound DESTINATION share/planetblupi)
file (COPY resources/music DESTINATION share/planetblupi)
file (COPY LICENSE.all DESTINATION share/doc/planetblupi)
file (RENAME "${CMAKE_BINARY_DIR}/share/doc/planetblupi/LICENSE.all"
             "${CMAKE_BINARY_DIR}/share/doc/planetblupi/copyright")

if (UNIX AND NOT APPLE)
  file (COPY resources/icon/hicolor DESTINATION share/icons)
endif ()

# Windows stuff

if (MINGW)
  file (COPY resources/icon/blupi.ico DESTINATION "${CMAKE_BINARY_DIR}")
  configure_file (
    "${CMAKE_CURRENT_SOURCE_DIR}/resources/win32/planetblupi.rc.in"
    "${CMAKE_BINARY_DIR}/planetblupi.rc"
    @ONLY
  )

  list (APPEND sources "${CMAKE_BINARY_DIR}/planetblupi.rc")

  set (CMAKE_RC_COMPILER_INIT windres)
  enable_language (RC)
  set (CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> <FLAGS> -O coff <DEFINES> -i <SOURCE> -o <OBJECT>")

  # Remove cmd window when executing planetblupi
  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -mwindows")
endif (MINGW)

# Dependencies

if ("${STATIC_BUILD}")
  set (CMAKE_INCLUDE_PATH ${CMAKE_INSTALL_PREFIX}/include)
  set (CMAKE_LIBRARY_PATH ${CMAKE_INSTALL_PREFIX}/lib)
endif ()

find_package (Intl REQUIRED)
include_directories (${Intl_INCLUDE_DIRS})

find_package (Iconv REQUIRED)
include_directories (${Iconv_INCLUDE_DIRS})

find_package (Argagg REQUIRED)
include_directories (${Argagg_INCLUDE_DIRS})

find_package (SDLKitchensink REQUIRED)
include_directories (${SDLKitchensink_INCLUDE_DIRS})

find_package (PkgConfig REQUIRED)
pkg_search_module (SDL2 REQUIRED sdl2)
pkg_search_module (SDL2_MIXER REQUIRED SDL2_mixer)
pkg_search_module (SDL2_IMAGE REQUIRED SDL2_image)
if (${PB_HTTP_VERSION_CHECK})
  pkg_search_module (CURL REQUIRED libcurl)
  add_definitions (-DUSE_CURL)
endif ()

if ("${STATIC_BUILD}")
  pkg_search_module (PNG REQUIRED libpng)
  # Static dependencies for SDL_kitchensink
  pkg_search_module (AVCODEC REQUIRED libavcodec)
  pkg_search_module (AVFORMAT REQUIRED libavformat)
  pkg_search_module (AVUTIL REQUIRED libavutil)
  pkg_search_module (SWSCALE REQUIRED libswscale)
  pkg_search_module (SWRESAMPLE REQUIRED libswresample)

  if (UNIX AND NOT APPLE)
    pkg_search_module (ALSA REQUIRED alsa)
    pkg_search_module (PULSE REQUIRED libpulse)
  endif ()

  if (${PB_HTTP_VERSION_CHECK})
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DCURL_STATICLIB")
  endif ()
endif ()

###########################
## Main binary dependencies
###########################

add_executable (planetblupi ${sources})

if ("${STATIC_BUILD}")
  set (planetblupi_DEPS
    ${Intl_LIBRARIES}
    ${Iconv_LIBRARIES}
    ${SDL2_STATIC_LIBRARIES}
    ${SDL2_MIXER_STATIC_LIBRARIES}
    ${SDL2_IMAGE_STATIC_LIBRARIES}
    ${SDLKitchensink_STATIC_LIBRARIES}
    ${PNG_STATIC_LIBRARIES}
    ${AVCODEC_STATIC_LIBRARIES}
    ${AVFORMAT_STATIC_LIBRARIES}
    ${AVUTIL_STATIC_LIBRARIES}
    ${SWSCALE_STATIC_LIBRARIES}
    ${SWRESAMPLE_STATIC_LIBRARIES}
  )

  if (${PB_HTTP_VERSION_CHECK})
    list (APPEND planetblupi_DEPS
      ${CURL_STATIC_LIBRARIES}
    )
  endif ()

  if (UNIX AND NOT APPLE)
    list (APPEND planetblupi_DEPS
      ${ALSA_STATIC_LIBRARIES}
      ${PULSE_STATIC_LIBRARIES}
    )
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -L${CMAKE_INSTALL_PREFIX}/lib/pulseaudio")
  endif ()
else ()
  set (planetblupi_DEPS
    ${SDL2_LIBRARIES}
    ${SDL2_MIXER_LIBRARIES}
    ${SDL2_IMAGE_LIBRARIES}
    ${CURL_LIBRARIES}
    ${SDLKitchensink_LIBRARIES}
    pthread
  )

  if (${PB_HTTP_VERSION_CHECK})
    list (APPEND planetblupi_DEPS
      ${CURL_LIBRARIES}
    )
  endif ()
endif ()

target_link_libraries (planetblupi PUBLIC ${planetblupi_DEPS})

##########
## GetText
##########

find_package (Gettext)

set (_potFile ${CMAKE_CURRENT_SOURCE_DIR}/resources/po/${PROJECT_NAME}.pot)

add_custom_command (OUTPUT ${_potFile}
  COMMAND xgettext --no-location --keyword=translate -o ${_potFile} ${sources}
  DEPENDS ${sources}
  COMMENT "Extract translatable messages to ${_potFile}"
)

add_custom_target (pot_file ALL ${_all}
  DEPENDS ${_potFile}
)

gettext_create_translations (${_potFile} ALL ${po})

## Put mo files to appropriate directory
foreach (file ${_gmoFiles})
  get_filename_component (_lang ${file} NAME_WE)
  set (_out "share/locale/${_lang}/LC_MESSAGES")

  add_custom_command (OUTPUT ${_out}/planetblupi.mo
    COMMAND ${CMAKE_COMMAND} -E copy ${file} ${_out}/planetblupi.mo
    DEPENDS translations ${file}
  )

  add_custom_target ("po-${_lang}" ALL ${_all}
    DEPENDS ${_out}/planetblupi.mo
  )

  add_dependencies (planetblupi "po-${_lang}")
endforeach (file)

##############
# Installation
##############

install (TARGETS planetblupi
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install (
  DIRECTORY resources/data DESTINATION share/planetblupi
  PATTERN "world2*.blp" EXCLUDE
  PATTERN "world*.dev.blp" EXCLUDE
)
install (
  DIRECTORY resources/data DESTINATION share/planetblupi
  CONFIGURATIONS Debug
  PATTERN "world2*.blp"
  PATTERN "world*.dev.blp"
)
install (DIRECTORY resources/image DESTINATION share/planetblupi)
install (DIRECTORY resources/movie DESTINATION share/planetblupi)
install (DIRECTORY resources/sound DESTINATION share/planetblupi)
install (DIRECTORY resources/music DESTINATION share/planetblupi)
install (FILES LICENSE.all DESTINATION share/doc/planetblupi RENAME copyright)

if (UNIX AND NOT APPLE)
  install (DIRECTORY resources/icon/hicolor DESTINATION share/icons)
endif ()

if (NOT USE_APPIMAGE)
  install (
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PB_PACKAGE_NAME}.desktop
    DESTINATION share/applications
  )
endif ()

# Copy libwinpthread-1.dll which seems not be linkable statically
if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows" AND MINGW)
  execute_process (COMMAND cygpath.exe --windows $ENV{MINGW_PREFIX} OUTPUT_VARIABLE MINGW_PATH)
  string (REGEX REPLACE "[ \t\n\r]+$" "" MINGW_PATH "${MINGW_PATH}")
  string (REGEX REPLACE "[\\]" "\\\\\\\\" MINGW_PATH "${MINGW_PATH}")
  install (FILES "${MINGW_PATH}\\\\bin\\\\libwinpthread-1.dll" DESTINATION bin)
endif ()

#########
## Deploy
#########

if ("${CMAKE_BUILD_TYPE}" STREQUAL "Release" AND "${STATIC_BUILD}")
  # set (CPACK_STRIP_FILES TRUE)
  set (CPACK_PACKAGE_NAME ${PB_PACKAGE_NAME})
  set (CPACK_PACKAGE_VENDOR "blupi.org")
  set (CPACK_PACKAGE_DESCRIPTION_SUMMARY ${PB_DESCRIPTION})
  set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
  # set (CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README-user.md")
  set (CPACK_PACKAGE_FILE_NAME ${PB_PACKAGE_NAME})
  set (CPACK_PACKAGE_VERSION "${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")
  set (CPACK_PACKAGE_INSTALL_DIRECTORY ${PB_PRODUCT_NAME})
  set (CPACK_PACKAGE_EXECUTABLES "planetblupi;Planet Blupi")

  if (USE_APPIMAGE)
    include (LinuxAppImageBuild)
    set (CMAKE_PACKAGED_OUTPUT_PREFIX ${CMAKE_INSTALL_PREFIX})
    APPIMAGE_PACKAGE (planetblupi ${PB_PACKAGE_NAME} ${PB_PRODUCT_NAME} "${CMAKE_CURRENT_SOURCE_DIR}/resources/linux" "${CMAKE_BINARY_DIR}/share" "" "" ${PB_ICON_REF})
  elseif (MINGW)
    set (INSTALLER_FILE_NAME "${PB_PACKAGE_NAME}-${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")
    set (CPACK_PACKAGE_FILE_NAME "${INSTALLER_FILE_NAME}")
    set (CPACK_GENERATOR "NSIS64")
    set (CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}\\\\resources\\\\nsis\\\\installer.bmp")
    set (CPACK_NSIS_COMPRESSOR "/SOLID lzma")
    set (CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\planetblupi.exe")
    set (CPACK_NSIS_URL_INFO_ABOUT "http://www.blupi.org")
    set (CPACK_NSIS_MUI_FINISHPAGE_RUN "planetblupi")
    if (SIGN_APP)
      set (CPACK_NSIS_SIGN_UNINSTALLER "sign -a -fd sha1 -t http://time.certum.pl -v")
    endif ()

    include (CPack)

    find_program (SIGNTOOL_EXECUTABLE signtool)
    if (SIGN_APP AND SIGNTOOL_EXECUTABLE)
      add_custom_command (TARGET planetblupi
                          POST_BUILD
                          COMMAND ${SIGNTOOL_EXECUTABLE}
                            sign -a -fd sha1 -t http://time.certum.pl -v
                            "${CMAKE_BINARY_DIR}/planetblupi.exe")
    endif ()

    add_custom_command (TARGET planetblupi
                        POST_BUILD
                        COMMAND make package)

    if (SIGN_APP AND SIGNTOOL_EXECUTABLE)
      add_custom_command (TARGET planetblupi
                          POST_BUILD
                          COMMAND ${SIGNTOOL_EXECUTABLE}
                            sign -a -fd sha1 -t http://time.certum.pl
                            "${CMAKE_BINARY_DIR}/${INSTALLER_FILE_NAME}.exe")
    endif ()
  elseif (APPLE)
    set (CPACK_GENERATOR "Bundle")
    set (CPACK_BUNDLE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/icon.icns")
    set (CPACK_BUNDLE_NAME ${PB_PRODUCT_NAME})
    set (CPACK_BUNDLE_PLIST "${CMAKE_BINARY_DIR}/Info.plist")
    set (CPACK_BUNDLE_STARTUP_COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/Planet Blupi")
    if (SIGN_APP)
      set (CPACK_BUNDLE_APPLE_CERT_APP "Developer ID Application: Mathieu Schroeter")
    endif ()
    set (CPACK_PACKAGE_FILE_NAME "planetblupi-${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")

    set (CPACK_DMG_BACKGROUND_IMAGE "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/background.tiff")
    set (CPACK_DMG_DS_STORE_SETUP_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/dmgsetup.scpt")

    set (BUNDLE_VERSION "${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")
    set (BUNDLE_IDENTIFIER "org.blupi.planet")
    set (BUNDLE_ICON_REF "Planet Blupi")

    configure_file (

## planetblupi 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
 set (PB_VERSION_MINOR 12)
-set (PB_VERSION_PATCH 1)
+set (PB_VERSION_PATCH 2)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
 set (PB_PACKAGE_NAME "planetblupi")
@@ -141,6 +141,8 @@
   pkg_search_module (AVUTIL REQUIRED libavutil)
   pkg_search_module (SWSCALE REQUIRED libswscale)
   pkg_search_module (SWRESAMPLE REQUIRED libswresample)
+  # Statis dependencies for SDL_mixer
+  pkg_search_module (VORBIS REQUIRED vorbisfile)
 
   if (UNIX AND NOT APPLE)
     pkg_search_module (ALSA REQUIRED alsa)
@@ -172,6 +174,7 @@
     ${AVUTIL_STATIC_LIBRARIES}
     ${SWSCALE_STATIC_LIBRARIES}
     ${SWRESAMPLE_STATIC_LIBRARIES}
+    ${VORBIS_STATIC_LIBRARIES}
   )
 
   if (${PB_HTTP_VERSION_CHECK})
@@ -357,7 +360,3 @@
     set (CPACK_DMG_DS_STORE_SETUP_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/dmgsetup.scpt")
 
     set (BUNDLE_VERSION "${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")
-    set (BUNDLE_IDENTIFIER "org.blupi.planet")
-    set (BUNDLE_ICON_REF "Planet Blupi")
-
-    configure_file (

=== debian/changelog ===
planetblupi (1.12.2-1) unstable; urgency=medium

  * New 1.12.2 upstream release
    - Drop the patches from upstream

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Feb 2018 20:41:19 +0100

planetblupi (1.12.1-22-g13a7e27-3) unstable; urgency=medium

  * Cherry-pick two upstream fixes to only allow music format choices
    amongst those available

 -- Didier Raboud <odyx@debian.org>  Fri, 02 Feb 2018 19:13:04 +0100

planetblupi (1.12.1-22-g13a7e27-2) unstable; urgency=medium

  * Add missing Replaces/Breaks in the two new packages
  * Pipe timidity to sox for encoding to ogg
  * Bump S-V to 4.1.3 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 01 Jan 2018 10:41:23 +0100

planetblupi (1.12.1-22-g13a7e27-1) unstable; urgency=medium

  * New pre-1.12.2 snapshot; MIDI files are restored, no release yet

  * During build, convert the .mid's to .ogg's using timidity and
    timgm6mb-soundfont
  * Split data package in -music-mid and -music-ogg alternatives

 -- Didier Raboud <odyx@debian.org>  Sun, 31 Dec 2017 14:41:26 +0100

planetblupi (1.12.0-16-g222113a-1) unstable; urgency=medium

  * New pre-1.12.1 snapshot; just before the MIDI-to-Ogg conversion

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Dec 2017 09:54:17 +0100

planetblupi (1.12.0-1) unstable; urgency=medium

  * New 1.12.0 upstream release
    - Remove all patches which were from upstream
    - Use @PB_ICON@ to link to the icon from the desktop file
  * Set R³ to no

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Nov 2017 20:16:47 +0100

planetblupi (1.11.0-3) unstable; urgency=medium

  * Patches:
    - Install a .desktop file: backport and enhance
    - Make the CURL dependency optional: backport the enhancements
    - Use GNUInstallDirs instead of patching the BINDIR: patch update
    - Replace a char by Sint8: backport. Should fix the FTBFS'es

 -- Didier Raboud <odyx@debian.org>  Wed, 25 Oct 2017 09:11:15 +0200

planetblupi (1.11.0-2) unstable; urgency=medium

  * Backport two patch series from upstream:
    - Build a desktop file
    - Make the CURL dependency optional, through the PB_HTTP_VERSION_CHECK
      CMake option (refresh the previous attempt)

  * Use non-HTTPS homepage, the HTTPS version doesn't work
  * Install the desktop file
  * Add debian/gbp.conf

 -- Didier Raboud <odyx@debian.org>  Sun, 22 Oct 2017 11:54:10 +0200

planetblupi (1.11.0-1) unstable; urgency=low

  * Initial release. (Closes: #879214)

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Oct 2017 16:57:03 +0200

=== debian/control ===
Source: planetblupi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org> 
Build-Depends:
 debhelper (>= 10.2.5~),
 cmake,
 pkg-config,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl-kitchensink-dev,
 argagg-dev,
Build-Depends-Indep:
 timidity,
 sox,
 timgm6mb-soundfont,
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: http://blupi.org
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-games/planetblupi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/planetblupi.git

Package: planetblupi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 planetblupi-common (>= ${source:Version}),
 planetblupi-music-ogg (>= ${source:Version}) | planetblupi-music-midi (>= ${source:Version}),
Description: Planet Blupi - A delirious spell-binding game
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.

Package: planetblupi-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: planetblupi
Recommends:
 planetblupi (>= ${source:Version})
Description: Planet Blupi - A delirious spell-binding game - data
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the architecture-independent game data.

Package: planetblupi-music-ogg
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: planetblupi
Recommends: planetblupi (>= ${source:Version})
Replaces: planetblupi-common (<< 1.12.1-22-g13a7e27-1)
Breaks: planetblupi-common (<< 1.12.1-22-g13a7e27-1)
Description: Planet Blupi - A delirious spell-binding game - Ogg music
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the heavyweight OGG music.

Package: planetblupi-music-midi
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm,
# ^ these are libfluidsynth's suggests
Enhances: planetblupi
Recommends: planetblupi (>= ${source:Version})
Replaces: planetblupi-common (<< 1.12.1-22-g13a7e27-1)
Breaks: planetblupi-common (<< 1.12.1-22-g13a7e27-1)
Description: Planet Blupi - A delirious spell-binding game - MIDI music
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the lightweight MIDI music

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=games

midfiles := $(wildcard resources/music/music*.mid)
oggfiles := $(midfiles:.mid=.ogg)

override_dh_clean-indep:
	dh_clean -i
	# These are shipped in the source archive, let's rebuild them
	rm -f $(oggfiles)

override_dh_auto_build-indep: $(oggfiles)
	dh_auto_build -i

resources/music/music%.ogg: resources/music/music%.mid
	# Encode to ogg with "Quality=0" ~ 64 kB
	timidity -c /etc/timidity/timgm6mb.cfg -Ow $< -o - | sox -t wav - -C0 $@

## planetblupi 1.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
 set (PB_VERSION_MINOR 12)
-set (PB_VERSION_PATCH 2)
+set (PB_VERSION_PATCH 4)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
 set (PB_PACKAGE_NAME "planetblupi")

=== debian/changelog ===
planetblupi (1.12.4-1) unstable; urgency=medium

  * New 1.12.4 release

 -- Didier Raboud <odyx@debian.org>  Thu, 15 Mar 2018 08:49:52 +0100

## planetblupi 1.12.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
 set (PB_VERSION_MINOR 12)
-set (PB_VERSION_PATCH 4)
+set (PB_VERSION_PATCH 5)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
 set (PB_PACKAGE_NAME "planetblupi")
@@ -309,7 +309,7 @@
   if (USE_APPIMAGE)
     include (LinuxAppImageBuild)
     set (CMAKE_PACKAGED_OUTPUT_PREFIX ${CMAKE_INSTALL_PREFIX})
-    APPIMAGE_PACKAGE (planetblupi ${PB_PACKAGE_NAME} ${PB_PRODUCT_NAME} "${CMAKE_CURRENT_SOURCE_DIR}/resources/linux" "${CMAKE_BINARY_DIR}/share" "" "" ${PB_ICON_REF})
+    APPIMAGE_PACKAGE (planetblupi ${PB_PACKAGE_NAME} ${PB_PRODUCT_NAME} "${CMAKE_CURRENT_SOURCE_DIR}/resources/linux" "${CMAKE_BINARY_DIR}/share" "" "" ${PB_ICON_REF} SIGN_APP)
   elseif (MINGW)
     set (INSTALLER_FILE_NAME "${PB_PACKAGE_NAME}-${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")
     set (CPACK_PACKAGE_FILE_NAME "${INSTALLER_FILE_NAME}")
@@ -359,4 +359,3 @@
     set (CPACK_DMG_BACKGROUND_IMAGE "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/background.tiff")
     set (CPACK_DMG_DS_STORE_SETUP_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/dmgsetup.scpt")
 
-    set (BUNDLE_VERSION "${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")

=== debian/changelog ===
planetblupi (1.12.5-1) unstable; urgency=medium

  * New 1.12.5 release

  [ Reiner Herrmann ]
  * Use fixed serial number to build ogg files reproducibly
  * Point Vcs-* fields to salsa
  * Bump Standards-Version to 4.1.4; no changes required
  * Add watch file

  [ Didier Raboud ]
  * d/copyright update

 -- Didier Raboud <odyx@debian.org>  Fri, 08 Jun 2018 10:50:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Didier Raboud <odyx@debian.org> 
+Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends:
  debhelper (>= 10.2.5~),
  cmake,
@@ -14,13 +14,13 @@
  argagg-dev,
 Build-Depends-Indep:
  timidity,
- sox,
+ vorbis-tools,
  timgm6mb-soundfont,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Homepage: http://blupi.org
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-games/planetblupi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/planetblupi.git
+Vcs-Git: https://salsa.debian.org/games-team/planetblupi.git
+Vcs-Browser: https://salsa.debian.org/games-team/planetblupi
 
 Package: planetblupi
 Architecture: any

## planetblupi 1.13.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,14 +6,16 @@
 
 include (GNUInstallDirs)
 include (${CMAKE_ROOT}/Modules/ExternalProject.cmake)
+include ("${CMAKE_SOURCE_DIR}/cmake/Ronn2Man.cmake")
 
 include_directories (${CMAKE_INSTALL_PREFIX}/include)
+include_directories (${CMAKE_INSTALL_PREFIX}/include/SDL2)
 link_directories (${CMAKE_INSTALL_PREFIX}/lib)
 
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
-set (PB_VERSION_MINOR 12)
-set (PB_VERSION_PATCH 5)
+set (PB_VERSION_MINOR 13)
+set (PB_VERSION_PATCH 2)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
 set (PB_PACKAGE_NAME "planetblupi")
@@ -30,8 +32,13 @@
 
 include_directories ("${PROJECT_BINARY_DIR}/include")
 
-file (GLOB_RECURSE sources src/*.cxx src/*.h)
-file (GLOB_RECURSE po      resources/po/*.po)
+if (BUILD_JS)
+  file (GLOB sources src/*.cxx src/*.h src/json/* src/platform/*_js.*)
+else ()
+  file (GLOB sources src/*.cxx src/*.h src/json/* src/platform/*_sdl.*)
+endif ()
+
+file (GLOB_RECURSE po resources/po/*.po)
 
 if (APPIMAGE_APPRUN_PROGRAM AND APPIMAGE_ASSISTANT_PROGRAM)
   set (USE_APPIMAGE ON)
@@ -45,12 +52,24 @@
   )
 endif ()
 
+set (planetblupi_OUTPUT planetblupi)
+
+if (NOT DEFINED BUILD_LINUX)
+  set (BUILD_LINUX UNIX AND NOT APPLE)
+endif ()
+
+if (BUILD_JS)
+  set (CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS} ${EMSCRIPTEN_FLAGS})
+  set (CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "--preload-file share")
+  set (planetblupi_OUTPUT planetblupi.html)
+endif ()
+
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -std=c++11 -L${CMAKE_INSTALL_PREFIX}/lib")
 endif ()
 
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU" AND "${STATIC_BUILD}")
-  set (CMAKE_EXE_LINKER_FLAGS "-static-libgcc -static-libstdc++")
+  set (CMAKE_EXE_LINKER_FLAGS ${CMAKE_EXE_LINKER_FLAGS} "-static-libgcc -static-libstdc++")
 endif ()
 
 if ("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
@@ -81,7 +100,7 @@
 file (RENAME "${CMAKE_BINARY_DIR}/share/doc/planetblupi/LICENSE.all"
              "${CMAKE_BINARY_DIR}/share/doc/planetblupi/copyright")
 
-if (UNIX AND NOT APPLE)
+if (BUILD_LINUX)
   file (COPY resources/icon/hicolor DESTINATION share/icons)
 endif ()
 
@@ -125,28 +144,45 @@
 include_directories (${SDLKitchensink_INCLUDE_DIRS})
 
 find_package (PkgConfig REQUIRED)
-pkg_search_module (SDL2 REQUIRED sdl2)
-pkg_search_module (SDL2_MIXER REQUIRED SDL2_mixer)
-pkg_search_module (SDL2_IMAGE REQUIRED SDL2_image)
+if (NOT BUILD_JS)
+  pkg_search_module (SDL2 REQUIRED sdl2)
+  set (planetblupi_DEPS ${planetblupi_DEPS} ${SDL2_STATIC_LIBRARIES})
+  pkg_search_module (SDL2_IMAGE REQUIRED SDL2_image)
+  set (planetblupi_DEPS ${planetblupi_DEPS} ${SDL2_IMAGE_STATIC_LIBRARIES})
+  pkg_search_module (SDL2_MIXER REQUIRED SDL2_mixer)
+  set (planetblupi_DEPS ${planetblupi_DEPS} ${SDL2_MIXER_STATIC_LIBRARIES})
+endif ()
+
 if (${PB_HTTP_VERSION_CHECK})
   pkg_search_module (CURL REQUIRED libcurl)
   add_definitions (-DUSE_CURL)
 endif ()
 
 if ("${STATIC_BUILD}")
-  pkg_search_module (PNG REQUIRED libpng)
   # Static dependencies for SDL_kitchensink
   pkg_search_module (AVCODEC REQUIRED libavcodec)
   pkg_search_module (AVFORMAT REQUIRED libavformat)
   pkg_search_module (AVUTIL REQUIRED libavutil)
   pkg_search_module (SWSCALE REQUIRED libswscale)
   pkg_search_module (SWRESAMPLE REQUIRED libswresample)
-  # Statis dependencies for SDL_mixer
-  pkg_search_module (VORBIS REQUIRED vorbisfile)
-
-  if (UNIX AND NOT APPLE)
-    pkg_search_module (ALSA REQUIRED alsa)
-    pkg_search_module (PULSE REQUIRED libpulse)
+
+  if (NOT BUILD_JS)
+    pkg_search_module (PNG REQUIRED libpng)
+    set (planetblupi_DEPS ${planetblupi_DEPS} ${PNG_STATIC_LIBRARIES})
+
+    # Static dependencies for SDL_mixer
+    pkg_search_module (VORBIS REQUIRED vorbisfile)
+    set (planetblupi_DEPS ${planetblupi_DEPS} ${VORBIS_STATIC_LIBRARIES})
+
+    if (BUILD_LINUX)
+      pkg_search_module (ALSA REQUIRED alsa)
+      pkg_search_module (PULSE REQUIRED libpulse)
+    endif ()
+
+    set (planetblupi_DEPS ${planetblupi_DEPS}
+      ${Intl_LIBRARIES}
+      ${Iconv_LIBRARIES}
+    )
   endif ()
 
   if (${PB_HTTP_VERSION_CHECK})
@@ -158,23 +194,16 @@
 ## Main binary dependencies
 ###########################
 
-add_executable (planetblupi ${sources})
+add_executable (${planetblupi_OUTPUT} ${sources})
 
 if ("${STATIC_BUILD}")
-  set (planetblupi_DEPS
-    ${Intl_LIBRARIES}
-    ${Iconv_LIBRARIES}
-    ${SDL2_STATIC_LIBRARIES}
-    ${SDL2_MIXER_STATIC_LIBRARIES}
-    ${SDL2_IMAGE_STATIC_LIBRARIES}
+  set (planetblupi_DEPS ${planetblupi_DEPS}
     ${SDLKitchensink_STATIC_LIBRARIES}
-    ${PNG_STATIC_LIBRARIES}
     ${AVCODEC_STATIC_LIBRARIES}
     ${AVFORMAT_STATIC_LIBRARIES}
     ${AVUTIL_STATIC_LIBRARIES}
     ${SWSCALE_STATIC_LIBRARIES}
     ${SWRESAMPLE_STATIC_LIBRARIES}
-    ${VORBIS_STATIC_LIBRARIES}
   )
 
   if (${PB_HTTP_VERSION_CHECK})
@@ -183,7 +212,7 @@
     )
   endif ()
 
-  if (UNIX AND NOT APPLE)
+  if (BUILD_LINUX)
     list (APPEND planetblupi_DEPS
       ${ALSA_STATIC_LIBRARIES}
       ${PULSE_STATIC_LIBRARIES}
@@ -207,7 +236,7 @@
   endif ()
 endif ()
 
-target_link_libraries (planetblupi PUBLIC ${planetblupi_DEPS})
+target_link_libraries (${planetblupi_OUTPUT} PUBLIC ${planetblupi_DEPS})
 
 ##########
 ## GetText
@@ -243,51 +272,59 @@
     DEPENDS ${_out}/planetblupi.mo
   )
 
-  add_dependencies (planetblupi "po-${_lang}")
+  add_dependencies (${planetblupi_OUTPUT} "po-${_lang}")
 endforeach (file)
+
+#########
+# manpage
+#########
+
+add_manpage_target ()
+manpage(${PROJECT_NAME} 1)
 
 ##############
 # Installation
 ##############
 
-install (TARGETS planetblupi
-  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-)
-
-install (
-  DIRECTORY resources/data DESTINATION share/planetblupi
-  PATTERN "world2*.blp" EXCLUDE
-  PATTERN "world*.dev.blp" EXCLUDE
-)
-install (
-  DIRECTORY resources/data DESTINATION share/planetblupi
-  CONFIGURATIONS Debug
-  PATTERN "world2*.blp"
-  PATTERN "world*.dev.blp"
-)
-install (DIRECTORY resources/image DESTINATION share/planetblupi)
-install (DIRECTORY resources/movie DESTINATION share/planetblupi)
-install (DIRECTORY resources/sound DESTINATION share/planetblupi)
-install (DIRECTORY resources/music DESTINATION share/planetblupi)
-install (FILES LICENSE.all DESTINATION share/doc/planetblupi RENAME copyright)
-
-if (UNIX AND NOT APPLE)
-  install (DIRECTORY resources/icon/hicolor DESTINATION share/icons)
-endif ()
-
-if (NOT USE_APPIMAGE)
+if (NOT BUILD_JS)
+  install (TARGETS ${planetblupi_OUTPUT}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+  )
   install (
-    FILES ${CMAKE_CURRENT_BINARY_DIR}/${PB_PACKAGE_NAME}.desktop
-    DESTINATION share/applications
-  )
-endif ()
-
-# Copy libwinpthread-1.dll which seems not be linkable statically
-if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows" AND MINGW)
-  execute_process (COMMAND cygpath.exe --windows $ENV{MINGW_PREFIX} OUTPUT_VARIABLE MINGW_PATH)
-  string (REGEX REPLACE "[ \t\n\r]+$" "" MINGW_PATH "${MINGW_PATH}")
-  string (REGEX REPLACE "[\\]" "\\\\\\\\" MINGW_PATH "${MINGW_PATH}")
-  install (FILES "${MINGW_PATH}\\\\bin\\\\libwinpthread-1.dll" DESTINATION bin)
+    DIRECTORY resources/data DESTINATION share/planetblupi
+    PATTERN "world2*.blp" EXCLUDE
+    PATTERN "world*.dev.blp" EXCLUDE
+  )
+  install (
+    DIRECTORY resources/data DESTINATION share/planetblupi
+    CONFIGURATIONS Debug
+    PATTERN "world2*.blp"
+    PATTERN "world*.dev.blp"
+  )
+  install (DIRECTORY resources/image DESTINATION share/planetblupi)
+  install (DIRECTORY resources/movie DESTINATION share/planetblupi)
+  install (DIRECTORY resources/sound DESTINATION share/planetblupi)
+  install (DIRECTORY resources/music DESTINATION share/planetblupi)
+  install (FILES LICENSE.all DESTINATION share/doc/planetblupi RENAME copyright)
+
+  if (UNIX AND NOT APPLE)
+    install (DIRECTORY resources/icon/hicolor DESTINATION share/icons)
+  endif ()
+
+  if (NOT USE_APPIMAGE)
+    install (
+      FILES ${CMAKE_CURRENT_BINARY_DIR}/${PB_PACKAGE_NAME}.desktop
+      DESTINATION share/applications
+    )
+  endif ()
+
+  # Copy libwinpthread-1.dll which seems not be linkable statically
+  if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows" AND MINGW)
+    execute_process (COMMAND cygpath.exe --windows $ENV{MINGW_PREFIX} OUTPUT_VARIABLE MINGW_PATH)
+    string (REGEX REPLACE "[ \t\n\r]+$" "" MINGW_PATH "${MINGW_PATH}")
+    string (REGEX REPLACE "[\\]" "\\\\\\\\" MINGW_PATH "${MINGW_PATH}")
+    install (FILES "${MINGW_PATH}\\\\bin\\\\libwinpthread-1.dll" DESTINATION bin)
+  endif ()
 endif ()
 
 #########
@@ -339,23 +376,3 @@
                         COMMAND make package)
 
     if (SIGN_APP AND SIGNTOOL_EXECUTABLE)
-      add_custom_command (TARGET planetblupi
-                          POST_BUILD
-                          COMMAND ${SIGNTOOL_EXECUTABLE}
-                            sign -a -fd sha1 -t http://time.certum.pl
-                            "${CMAKE_BINARY_DIR}/${INSTALLER_FILE_NAME}.exe")
-    endif ()
-  elseif (APPLE)
-    set (CPACK_GENERATOR "Bundle")
-    set (CPACK_BUNDLE_ICON "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/icon.icns")
-    set (CPACK_BUNDLE_NAME ${PB_PRODUCT_NAME})
-    set (CPACK_BUNDLE_PLIST "${CMAKE_BINARY_DIR}/Info.plist")
-    set (CPACK_BUNDLE_STARTUP_COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/Planet Blupi")
-    if (SIGN_APP)
-      set (CPACK_BUNDLE_APPLE_CERT_APP "Developer ID Application: Mathieu Schroeter")
-    endif ()
-    set (CPACK_PACKAGE_FILE_NAME "planetblupi-${PB_VERSION_MAJOR}.${PB_VERSION_MINOR}.${PB_VERSION_PATCH}${PB_VERSION_EXTRA}")
-
-    set (CPACK_DMG_BACKGROUND_IMAGE "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/background.tiff")
-    set (CPACK_DMG_DS_STORE_SETUP_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/resources/darwin/dmgsetup.scpt")
-

=== debian/changelog ===
planetblupi (1.13.2-3) unstable; urgency=medium

  * Generate and install the manpage:
    - Patch to move it to section 6 (games)
    - Add 'ronn' as Build-Dependency

 -- Didier Raboud <odyx@debian.org>  Wed, 24 Oct 2018 08:45:19 +0200

planetblupi (1.13.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 17 Sep 2018 10:16:56 +0200

planetblupi (1.13.2-1) experimental; urgency=medium

  * New 1.13.2 release
  * Bump S-V to 4.2.1 without changes needed 

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Sep 2018 12:06:00 +0200

planetblupi (1.12.5-2) experimental; urgency=low

  * Adapt to libsdl-kitchensink's new API:
    - Bump libsdl-kitchensink-dev B-D to >= 1
    - Backport two patches from upstream:
      + Add SDL2 directory as include dir for SDL_kitchensink (Kit)
      + Adapt movie impl. for SDL_kitchensink1 API

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Jul 2018 14:49:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
  libsdl2-dev,
  libsdl2-image-dev,
  libsdl2-mixer-dev,
- libsdl-kitchensink-dev,
+ libsdl-kitchensink-dev (>= 1),
  argagg-dev,
+ ronn,
 Build-Depends-Indep:
  timidity,
  vorbis-tools,
  timgm6mb-soundfont,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: http://blupi.org
 Vcs-Git: https://salsa.debian.org/games-team/planetblupi.git

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 
 resources/music/music%.ogg: resources/music/music%.mid
 	# Encode to ogg with "Quality=0" ~ 64 kB
-	timidity -c /etc/timidity/timgm6mb.cfg -Ow $< -o - | sox -t wav - -C0 $@
+	timidity -c /etc/timidity/timgm6mb.cfg -Ow $< -o - | oggenc -Q -q0 --serial 1 -o $@ -

## planetblupi 1.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 project (planetblupi)
 set (PB_VERSION_MAJOR 1)
-set (PB_VERSION_MINOR 13)
+set (PB_VERSION_MINOR 14)
 set (PB_VERSION_PATCH 2)
 set (PB_VERSION_EXTRA "")
 set (PB_PRODUCT_NAME "Planet Blupi")
@@ -93,15 +93,22 @@
   )
 endif ()
 file (COPY resources/image DESTINATION share/planetblupi)
-file (COPY resources/movie DESTINATION share/planetblupi)
+if (NOT BUILD_JS)
+  file (COPY resources/movie DESTINATION share/planetblupi)
+endif ()
 file (COPY resources/sound DESTINATION share/planetblupi)
 file (COPY resources/music DESTINATION share/planetblupi)
 file (COPY LICENSE.all DESTINATION share/doc/planetblupi)
+file (COPY COPYING DESTINATION share/doc/planetblupi)
 file (RENAME "${CMAKE_BINARY_DIR}/share/doc/planetblupi/LICENSE.all"
              "${CMAKE_BINARY_DIR}/share/doc/planetblupi/copyright")
 
 if (BUILD_LINUX)
   file (COPY resources/icon/hicolor DESTINATION share/icons)
+  file (
+    COPY resources/linux/${PB_PACKAGE_NAME}.appdata.xml
+    DESTINATION share/metainfo
+  )
 endif ()
 
 # Windows stuff
@@ -280,7 +287,7 @@
 #########
 
 add_manpage_target ()
-manpage(${PROJECT_NAME} 1)
+manpage(${PROJECT_NAME} 6)
 
 ##############
 # Installation
@@ -306,9 +313,14 @@
   install (DIRECTORY resources/sound DESTINATION share/planetblupi)
   install (DIRECTORY resources/music DESTINATION share/planetblupi)
   install (FILES LICENSE.all DESTINATION share/doc/planetblupi RENAME copyright)
-
-  if (UNIX AND NOT APPLE)
+  install (FILES COPYING DESTINATION share/doc/planetblupi)
+
+  if (BUILD_LINUX)
     install (DIRECTORY resources/icon/hicolor DESTINATION share/icons)
+    install (
+      FILES resources/linux/${PB_PACKAGE_NAME}.appdata.xml
+      DESTINATION share/metainfo
+    )
   endif ()
 
   if (NOT USE_APPIMAGE)
@@ -367,12 +379,3 @@
       add_custom_command (TARGET planetblupi
                           POST_BUILD
                           COMMAND ${SIGNTOOL_EXECUTABLE}
-                            sign -a -fd sha1 -t http://time.certum.pl -v
-                            "${CMAKE_BINARY_DIR}/planetblupi.exe")
-    endif ()
-
-    add_custom_command (TARGET planetblupi
-                        POST_BUILD
-                        COMMAND make package)
-
-    if (SIGN_APP AND SIGNTOOL_EXECUTABLE)

=== debian/changelog ===
planetblupi (1.14.2-3) unstable; urgency=medium

  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Bump debhelper compat to 13
  * Add Salsa CI configuration
  * Remove myself from Uploaders

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Sep 2021 16:46:57 +0200

planetblupi (1.14.2-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/Avoid-making-assumptions-about-location-of-SDL2-headers.patch:
    Don't assume that SDL2 headers are in /usr/include/SDL2
    (Closes: #952105)

  [ Didier Raboud ]
  * lintian-brush: Set some upstream metadata fields
  * Bump Standards-Version to 4.5.0, cleanup versions

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Mar 2020 20:13:59 +0100

planetblupi (1.14.2-1) unstable; urgency=medium

  * New 1.14.2 upstream release
  * Bump S-V to 4.4.1 without changes needed
  * Set upstream metadata fields: Repository.

 -- Didier Raboud <odyx@debian.org>  Fri, 18 Oct 2019 14:12:32 +0200

planetblupi (1.14.1-2) unstable; urgency=medium

  * Move to unstable
  * Bump S-V to 4.4 without changes needed
  * Bump debhelper compat to 12
  * Cherry-pick two fixes from upstream:
    - Fix bad translation
    - Do not play the win sound while the win video is playing

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Sep 2019 16:49:26 +0200

planetblupi (1.14.1-1) experimental; urgency=medium

  * New 1.14.1 upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 13 Mar 2019 21:53:25 +0100

planetblupi (1.14.0-1) experimental; urgency=low

  * New 1.14.0 upstream release

 -- Didier Raboud <odyx@debian.org>  Sun, 24 Feb 2019 15:27:22 +0100

=== debian/control ===
Source: planetblupi
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Section: games
Priority: optional
Build-Depends:
 argagg-dev,
 cmake,
 debhelper-compat (= 13),
 libsdl-kitchensink-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 pkg-config,
 ronn,
Build-Depends-Indep:
 timgm6mb-soundfont,
 timidity,
 vorbis-tools,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/games-team/planetblupi
Vcs-Git: https://salsa.debian.org/games-team/planetblupi.git
Homepage: http://blupi.org
Rules-Requires-Root: no

Package: planetblupi
Architecture: any
Depends:
 planetblupi-common (>= ${source:Version}),
 planetblupi-music-ogg (>= ${source:Version}) | planetblupi-music-midi (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Planet Blupi - A delirious spell-binding game
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.

Package: planetblupi-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 planetblupi (>= ${source:Version}),
Enhances:
 planetblupi,
Description: Planet Blupi - A delirious spell-binding game - data
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the architecture-independent game data.

Package: planetblupi-music-midi
Architecture: all
Multi-Arch: foreign
Depends:
 fluidr3mono-gm-soundfont | timgm6mb-soundfont | fluid-soundfont-gm,
 ${misc:Depends},
Recommends:
 planetblupi (>= ${source:Version}),
Enhances:
 planetblupi,
Description: Planet Blupi - A delirious spell-binding game - MIDI music
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the lightweight MIDI music

Package: planetblupi-music-ogg
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 planetblupi (>= ${source:Version}),
Enhances:
 planetblupi,
Description: Planet Blupi - A delirious spell-binding game - Ogg music
 Planet Blupi is a strategy and adventure game. It subtly blends action with
 thought-provoking challenges. Behind the quiet and gentle facade, you'll enjoy
 a fascinating diversion full of surprises.
 .
 This package contains the heavyweight OGG music.

=== debian/watch ===
version=4
https://github.com/blupi-games/planetblupi/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
